1. 4. Webhooks
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
      • Create Return Reason
      • Upload Return Attachment
      • Create Return
      • List Returns
      • Get Return
      • Approve Return
      • Reject Return
      • List Resolution Methods
      • Inspect Return
      • Cancel Return
      • Get Return Timeline
    • 4. Webhooks
      • Webhook Meta
        GET
      • List Webhooks
        GET
      • Create Webhook
        POST
      • Get Webhook
        GET
      • Update Webhook
        PUT
      • Delete Webhook
        DELETE
      • Rotate Webhook Secret
        POST
      • Send Test Webhook
        POST
      • List Webhook Deliveries
        GET
      • Get Webhook Delivery
        GET
      • Retry Webhook Delivery
        POST
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 4. Webhooks

Send Test Webhook

POST
/partner/v1/webhooks/{id}/test
Send a sample event to the endpoint and report the delivery result. Body is optional.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Validation failed
🟠404Not found
🟠401Unauthorized
🟠403Missing scope / feature
🟠429Rate limited
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/webhooks//test' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "event_type": "webhook.test"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "delivery_id": "9892f438-d31c-4ff2-bc84-146525b292ff",
        "status": "string",
        "http_status_code": 0,
        "response_time_ms": 0,
        "error_message": "string"
    }
}
Previous
Rotate Webhook Secret
Next
List Webhook Deliveries
Built with